package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学校类型设置（综合类、理工类）对象 mall_config_type
 *
 * @author Lsm
 * @date 2023-10-18
 */
public class MallConfigType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学校类型主键ID */
    private Long configTypeId;

    /** 学校类型名 */
    @Excel(name = "学校类型名")
    private String configTypeName;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    @Excel(name = "删除标记：0-正常，1-删除")
    private String delFlag;

    public void setConfigTypeId(Long configTypeId)
    {
        this.configTypeId = configTypeId;
    }

    public Long getConfigTypeId()
    {
        return configTypeId;
    }
    public void setConfigTypeName(String configTypeName)
    {
        this.configTypeName = configTypeName;
    }

    public String getConfigTypeName()
    {
        return configTypeName;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("configTypeId", getConfigTypeId())
            .append("configTypeName", getConfigTypeName())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
